aboutsummaryrefslogtreecommitdiff
path: root/package/omniorb
Commit message (Collapse)AuthorAgeFilesLines
* package/omniorb: bump version to 4.2.4Gravatar Bernd Kuhls2020-04-122-4/+5
| | | | | | | | | | Release notes: https://sourceforge.net/projects/omniorb/files/omniORB/omniORB-4.2.4/ Added md5 hash provided by upstream. Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/omniorb: bump to 4.2.3Gravatar Matt Weber2019-10-312-4/+8
| | | | | | | | - added sha256 hash values for archive and license files - updated sha1 from upstream download site Signed-off-by: Matthew Weber <matthew.weber@rockwellcollins.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/*/Config.in: fix help text check-package warningsGravatar Thomas Petazzoni2017-12-181-5/+7
| | | | | | | | | | | | | This commit fixes the warnings reported by check-package on the help text of all package Config.in files, related to the formatting of the help text: should start with a tab, then 2 spaces, then at most 62 characters. The vast majority of warnings fixed were caused by too long lines. A few warnings were related to spaces being used instead of a tab to indent the help text. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/omniorb: bump version to 4.2.2Gravatar Bernd Kuhls2017-09-223-65/+4
| | | | | | | | Removed patch after upstream committed a different solution: https://sourceforge.net/p/omniorb/svn/6330/ Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* Globally replace $(HOST_DIR)/usr/bin with $(HOST_DIR)/binGravatar Arnout Vandecappelle2017-07-051-3/+3
| | | | | | | | | | | Since things are no longer installed in $(HOST_DIR)/usr, the callers should also not refer to it. This is a mechanical change with git grep -l '$(HOST_DIR)/usr/bin' | xargs sed -i 's%$(HOST_DIR)/usr/bin%$(HOST_DIR)/bin%g' Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* boot, package: use SPDX short identifier for LGPLv2.1/LGPLv2.1+Gravatar Rahul Bedarkar2017-04-011-1/+1
| | | | | | | | | | | We want to use SPDX identifier for license string as much as possible. SPDX short identifier for LGPLv2.1/LGPLv2.1+ is LGPL-2.1/LGPL-2.1+. This change is done using following command. find . -name "*.mk" | xargs sed -ri '/LICENSE( )?[\+:]?=/s/LGPLv2.1(\+)?/LGPL-2.1\1/g' Signed-off-by: Rahul Bedarkar <rahulbedarkar89@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* omniorb: add patch to fix musl buildGravatar Thomas Petazzoni2016-07-241-0/+61
| | | | | | | | Fixes: http://autobuild.buildroot.net/results/0e2025cbc1c54f0c177ce3f27020d454aa03645a/ Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* omniorb: remove autoreconfGravatar Baruch Siach2016-03-061-3/+0
| | | | | | | | | | Commit 03ee7f9823af (package/omniorb: bump version to 4.2.1) removed the patch to configure.ac, making autoreconf redundant. Cc: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Baruch Siach <baruch@tkos.co.il> Acked-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/omniorb: bump version to 4.2.1Gravatar Bernd Kuhls2016-03-053-23/+4
| | | | | | | | | | | | | | | | | Removed patch applied upstream: https://sourceforge.net/p/omniorb/svn/6296/#diff-4 Please note that upstream also provides version 4.2.1-2 https://sourceforge.net/projects/omniorb/files/omniORB/omniORB-4.2.1/ This version was a follow-up to 4.2.1 to provide VS platform files: https://sourceforge.net/p/omniorb/svn/6311/#diff-5 https://sourceforge.net/p/omniorb/svn/6313/#diff-2 Because they are not needed for buildroot we stick to version 4.2.1. Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/omniorb: add optional support for opensslGravatar Bernd Kuhls2016-02-211-0/+7
| | | | | | | | | | | | | | | | When openssl was compiled before, omniorb will use it as optional dependency: $ output/host/usr/bin/x86_64-linux-readelf -a output/target/usr/lib/libomnisslTP4.so.2.0 | grep NEEDED 0x0000000000000001 (NEEDED) Shared library: [libomniORB4.so.2] 0x0000000000000001 (NEEDED) Shared library: [libomnithread.so.4] 0x0000000000000001 (NEEDED) Shared library: [libpthread.so.1] 0x0000000000000001 (NEEDED) Shared library: [libssl.so.1.0.0] 0x0000000000000001 (NEEDED) Shared library: [libcrypto.so.1.0.0] [...] Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/omniorb: add optional support for zlibGravatar Bernd Kuhls2016-02-211-0/+4
| | | | | | | | | | | | | | | | | | When zlib was compiled before, omniorb will use it as optional dependency: $ output/host/usr/bin/x86_64-linux-readelf -a output/target/usr/lib/libomniZIOP4.so.2.0 | grep NEEDED 0x0000000000000001 (NEEDED) Shared library: [libomniORB4.so.2] 0x0000000000000001 (NEEDED) Shared library: [libomnithread.so.4] 0x0000000000000001 (NEEDED) Shared library: [libpthread.so.1] 0x0000000000000001 (NEEDED) Shared library: [libz.so.1] [...] The build system offers no option to en-/disable zlib support, check acinclude.m4, line 435+. Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* omniorb: comma separate licensesGravatar Gustavo Zacarias2015-12-151-1/+1
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* omniorb: remove redundant INSTALL_TARGETGravatar Baruch Siach2015-01-141-1/+0
| | | | | | | INSTALL_TARGET defaults to YES. Signed-off-by: Baruch Siach <baruch@tkos.co.il> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* Rename BR2_PREFER_STATIC_LIB to BR2_STATIC_LIBSGravatar Thomas Petazzoni2014-12-111-1/+1
| | | | | | | | | | | | | | | | | | | | | | | Since a while, the semantic of BR2_PREFER_STATIC_LIB has been changed from "prefer static libraries when possible" to "use only static libraries". The former semantic didn't make much sense, since the user had absolutely no control/idea of which package would use static libraries, and which packages would not. Therefore, for quite some time, we have been starting to enforce that BR2_PREFER_STATIC_LIB should really build everything with static libraries. As a consequence, this patch renames BR2_PREFER_STATIC_LIB to BR2_STATIC_LIBS, and adjust the Config.in option accordingly. This also helps preparing the addition of other options to select shared, shared+static or just static. Note that we have verified that this commit can be reproduced by simply doing a global rename of BR2_PREFER_STATIC_LIB to BR2_STATIC_LIBS plus adding BR2_PREFER_STATIC_LIB to Config.in.legacy. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Reviewed-by: "Yann E. MORIN" <yann.morin.1998@free.fr>
* package: indentation cleanupGravatar Jerzy Grzegorek2014-12-101-1/+1
| | | | | Signed-off-by: Jerzy Grzegorek <jerzy.grzegorek@trzebnica.net> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* Merge branch 'next'Gravatar Peter Korsgaard2014-12-012-1/+4
|\ | | | | | | | | | | | | | | | | Conflicts: Makefile package/flac/0001-fix-altivec-logic.patch package/grantlee/Config.in Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
| * omniorb: bump to version 4.2.0Gravatar Baruch Siach2014-11-222-1/+4
| | | | | | | | | | | | | | | | | | | | | | | | | | Also add a hash file. The release announcement (http://www.omniorb-support.com/pipermail/omniorb-list/2014-April/031550.html) mentions support for python3, but I could not make it work. Stay with python2 for now. Cc: Matt Weber <mlweber1@rockwellcollins.com> Signed-off-by: Baruch Siach <baruch@tkos.co.il> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* | omniorb: fix build for uclinuxGravatar Baruch Siach2014-11-202-0/+29
|/ | | | | | | | | | | | | | | | | | Add a patch to make configure correctly identify uclinux. Also, disable build of shared libraries when PREFER_STATIC_LIB is set. Otherwise, build for Blackfin fails further down the road. Fixes: http://autobuild.buildroot.net/results/c60/c60d880b620c47f4aa03cdf2e1bb85a526242d54/ http://autobuild.buildroot.net/results/01f/01f4e8a27831d6817b329fa23fe0bbabd7fd01c9/ http://autobuild.buildroot.net/results/a96/a96a06b825c14dc9fdf738225db50bc1de8b901a/ And many others. Signed-off-by: Baruch Siach <baruch@tkos.co.il> Acked-by: Matt Weber <matthew.weber@rockwellcollins.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* packages: rename FOO_CONF_OPT into FOO_CONF_OPTSGravatar Thomas De Schampheleire2014-10-041-4/+4
| | | | | | | | | | | | To be consistent with the recent change of FOO_MAKE_OPT into FOO_MAKE_OPTS, make the same change for FOO_CONF_OPT. Sed command used: find * -type f | xargs sed -i 's#_CONF_OPT\>#&S#g' Signed-off-by: Thomas De Schampheleire <thomas.de.schampheleire@gmail.com> Reviewed-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* omniorb: force python interperterGravatar Samuel Martin2014-04-141-0/+4
| | | | | | | | | | | | | | | | Omniorb build-system requires python2 interpreter. By default, it looks for python program, which may fallback on the system python interpreter in case python is disabled and python3 is enabled. So, this patch enforces the python interpreter to python2 built by Buildroot. Fixes: http://autobuild.buildroot.org/results/b4f/b4f3a2602ba0224ac3253c4bf6ed87ec045df772/ Signed-off-by: Samuel Martin <s.martin49@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* omniorb: add option to build applications and servicesGravatar Matt Weber2014-01-102-3/+27
| | | | | | Signed-off-by: Matt Weber <mlweber1@rockwellcollins.com> Reviewed-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* omniorb: needs thread supportGravatar Thomas Petazzoni2013-11-221-2/+3
| | | | | | | | | Fixes: http://autobuild.buildroot.org/results/dfc/dfc083bff04eba68456edd359424293842b6f42d/build-end.log Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* omniorb: fix autobuilder failureGravatar Matt Weber2013-11-041-30/+0
| | | | | | | | | | http://autobuild.buildroot.net/results/e3244abc550a95eb69e63b8db203f39b27f3288e/ Turns out omniorb isn't building because of an old cross compile patch. The last patchset was missing the delete. Signed-off-by: Matt Weber <mlweber1@rockwellcollins.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* Config.in files: unify comments of toolchain option dependenciesGravatar Thomas De Schampheleire2013-10-141-1/+1
| | | | | | | | This patch lines up the comments in Config.in files that clarify which toolchain options the package depends on. Signed-off-by: Thomas De Schampheleire <thomas.de.schampheleire@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* omniorb: cleanup autobuild failure, CFLAGS issueGravatar Matt Weber2013-10-021-29/+24
| | | | | | | | | | | | | | | | | | | | | | | | | | Fixed: http://autobuild.buildroot.net/results/a08baf8821e3ee1fb9c36c8f74c4ced466af167b/ http://autobuild.buildroot.net/results/f0c7379c1f405385d3a64c0349c3d9565065e8a7/ http://autobuild.buildroot.net/results/c3de25ca52fdb8ffda7472cf9f7b64514954cbb1/ Change Log: The target CFLAGS were getting mixed in during a manual build of some omniorb pkg tools that could be viewed as host tools. This manual build was a dirty workaround and created some bad cornercases. So I converted the package over to actually using the host pkg build and removed the need for a patch and custom mods in the build. Also there wasn't a dependency on the target having python, just host-python for performing the initial build. So depends were adjusted accordingly. If python bindings are required, they can be found in a different package called omniORBpy. The omniORB package only uses python for the build process. Fixed a bug with long double support. Currently leaving it disabled as most targets won't use it. This allows greater toolchain compatibility. Signed-off-by: Matt Weber <mlweber1@rockwellcollins.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* omniorb: new packageGravatar Matt Weber2013-09-153-0/+90
[Peter: fix C++ dependency and trailing spaces, drop ';' from fixup hook] Signed-off-by: Matt Weber <mlweber1@rockwellcollins.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>